Subject: bug#9794: 24.0.90; `format-time-string' no good for %Z

From: "Drew Adams" <[email-masked]>
Date: Wed, 19 Oct 2011 00:43:28 -0700

Didn't realize this bug was already filed as #641.

It's unfortunate that nothing was ever done about this regression.

I stumbled on it again only because of someone else's code that uses "...(%Z)".
And that is likely to be fairly common, given that people not on Windows will
not know that %Z in Emacs is broken on Windows.  How many Emacs users use
Windows?  How long will this be ignored, so they continue to see "...()" instead
of something meaningful to them?

Stefan's bottom line in the #641 bug thread was this:

"I could live with it, tho its usefulness is far from obvious.
 In any case it would not be for Emacs-23 and I'd recommend potential
 hackers to work on something else as that's more likely to be useful."

Poor Emacs.  Poor users.  It's usefulness is completely obvious: Windows users
lose information that is meant to help them.  And just because a non-Windows
developer thinks that letting them see "(Pacific Daylight Time)" is not useful
to them and "()" is more meaningful.  Sheesh.